using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using xnalab.ddo.jp.control;
using xnalab.ddo.jp.viewManager;
using xnalab.ddo.jp.util;

namespace GUISample.screens
{
    class MainScreen : BasicScreen
    {
        // wipeNX`
        Texture2D background;

        public MainScreen(BasicForm form)
            : base(form)
        {
        }

        /// <summary>
        /// Regǂݍ
        /// </summary>
        public override void LoadContent()
        {
            ContentManager content = Manager.Game.Content;
            background = content.Load<Texture2D>("backmain");

            base.LoadContent();
        }

        /// <summary>
        /// XV
        /// </summary>
        /// <param name="gameTime"></param>
        public override void Update(GameTime gameTime)
        {
            base.Update(gameTime);
        }

        /// <summary>
        /// `揈
        /// </summary>
        /// <param name="gameTime"></param>
        public override void Draw(GameTime gameTime)
        {
            SpriteBatch spriteBatch = Manager.SpriteBatch;

            spriteBatch.Begin();

            spriteBatch.Draw(background, Vector2.Zero, Color.White);

            spriteBatch.End();

            base.Draw(gameTime);
        }
    }
}
