using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using xnalab.ddo.jp.control;
using xnalab.ddo.jp.viewManager;
using xnalab.ddo.jp.util;
using GUISample.screens;

namespace GUISample.forms
{
    public class LoginForm : BasicForm
    {
        Color colorBack = new Color(0, 0, 0, 120);
        Color colorFrame = new Color(100, 100, 100, 255);

        // Rg[
        BasicLabel lblGuide;
        BasicButton btnLogin;
        BasicButton btnExit;

        public LoginForm(string name)
            : base(name)
        {
            // ʖ\px
            lblGuide = new BasicLabel("lblGuide", "LOGIN FORM", new Vector2(10, 30), Color.White);

            // Login{^
            btnLogin = new BasicButton("btnLogin", "LOGIN", new Rectangle(250, 250, 50, 20), 
                colorBack, Color.SkyBlue, colorFrame, Color.White);
            btnLogin.MouseLeftUp += new MouseEventHandler(btnLogin_MouseUp);

            // Exit{^
            btnExit = new BasicButton("btnExit", "EXIT", new Rectangle(340, 250, 50, 20), 
                colorBack, Color.SkyBlue, colorFrame, Color.White);
            btnExit.MouseLeftUp += new MouseEventHandler(btnExit_MouseUp);

            // Rg[ǉ
            Add(lblGuide);
            Add(btnLogin);
            Add(btnExit);
        }

        /// <summary>
        /// XV
        /// </summary>
        public override void Update(GameTime gameTime)
        {
            base.Update(gameTime);
        }

        /// <summary>
        /// `揈
        /// </summary>
        public override void Draw(GameTime gameTime)
        {
            SpriteBatch spriteBatch = Manager.SpriteBatch;

            base.Draw(gameTime);
        }

        /// <summary>
        /// {^_ECxg
        /// </summary>
        public void btnLogin_MouseUp(object sender, MouseEventArgs e)
        {
            BasicForm form = Manager.GetForm("main");
            Manager.ChangeScreen(new MainScreen(form));
        }

        /// <summary>
        /// NA{^Cxg
        /// </summary>
        public void btnExit_MouseUp(object sender, MouseEventArgs e)
        {
            Manager.ChangeScreen(null);
        }
    }
}
