using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using xnalab.ddo.jp.control;
using xnalab.ddo.jp.viewManager;
using xnalab.ddo.jp.util;
using GUISample.screens;

namespace GUISample.forms
{
    public class MenuForm : BasicForm
    {
        Color colorBack = new Color(0, 0, 0, 120);
        Color colorFrame = new Color(100, 100, 100, 255);

        // Rg[
        BasicLabel lblGuide;
        BasicLabel lblMessage;
        BasicButton btnOk;
        BasicButton btnCancel;
        BasicDialog dlgMenu;

        public MenuForm(string name)
            : base(name)
        {
            // ʖ\px
            lblGuide = new BasicLabel("lblGuide", " > MENU FORM", new Vector2(10, 50), Color.White);

            // j[_CAO
            dlgMenu = new BasicDialog("dlgMenu", "Q[I_CAO", new Rectangle(300, 300, 250, 110),
                colorBack, colorFrame, Color.White);

            // bZ[W\px
            lblMessage = new BasicLabel("lblMessage", "gOKh{^ƃQ[I܂", new Vector2(20, 40), Color.White);

            // OK{^
            btnOk = new BasicButton("btnOk", "OK", new Rectangle(100, 70, 50, 20),
                colorBack, Color.SkyBlue, colorFrame, Color.White);
            btnOk.MouseLeftUp += new MouseEventHandler(btnOk_MouseUp);

            // CANCEL{^
            btnCancel = new BasicButton("btnCancel", "CANCEL", new Rectangle(160, 70, 60, 20),
                colorBack, Color.SkyBlue, colorFrame, Color.White);
            btnCancel.MouseLeftUp += new MouseEventHandler(btnCancel_MouseUp);

            dlgMenu.Add(lblMessage);
            dlgMenu.Add(btnOk);
            dlgMenu.Add(btnCancel);

            Add(lblGuide);
            Add(dlgMenu);
        }

        public virtual void Initialize()
        {
        }

        /// <summary>
        /// XV
        /// </summary>
        public override void Update(GameTime gameTime)
        {
            base.Update(gameTime);
        }

        /// <summary>
        /// `揈
        /// </summary>
        public override void Draw(GameTime gameTime)
        {
            base.Draw(gameTime);
        }

        /// <summary>
        /// OK{^Cxg
        /// </summary>
        public void btnOk_MouseUp(object sender, MouseEventArgs e)
        {
            Manager.ChangeScreen(null);
        }


        /// <summary>
        /// CANCEL{^Cxg
        /// </summary>
        public void btnCancel_MouseUp(object sender, MouseEventArgs e)
        {
            Manager.ReleaseScreen();
        }
    }
}
